# std::bitset< _Nb >::reference Class Template Reference

List of all members.

## Detailed Description

### template<size_t _Nb>
class std::bitset< _Nb >::reference

This encapsulates the concept of a single bit. An instance of this class is a proxy for an actual bit; this way the individual bit operations are done as faster word-size bitwise instructions.

Most users will never need to use this class directly; conversions to and from bool are automatic and should be transparent. Overloaded operators help to preserve the illusion.

(On a typical system, this "bit reference" is 64 times the size of an actual bit. Ha.)

Definition at line 566 of file bitset.

The documentation for this class was generated from the following file:

- bitset